### Method

# WebKit2 Settings set_media_content_types_requiring_hardware_support

#### Declaration [src]

    void
    webkit_settings_set_media_content_types_requiring_hardware_support (
      WebKitSettings* settings,
      const gchar* content_types
    )

#### Description [src]

Set the `WebKitSettings:media-content-types-requiring-hardware-support` property.

Available since: | 2.30

Sets property | `WebKit2.Settings:media-content-types-requiring-hardware-support`

#### Parameters

`content_types` | `const gchar*`
| List of media content types requiring hardware support split by semicolons (:) or `NULL` to use the default value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.